%global _empty_manifest_terminate_build 0
Name:           python-osc-lib
Version:        1.14.1
Release:        1
Summary:        OpenStackClient Library
License:        Apache-2.0
URL:            https://docs.openstack.org/osc-lib/latest/
Source0:        https://files.pythonhosted.org/packages/ab/ab/2d534f2d4821a012e9f09d8d2790bb3551a78e0868a37a2be17fea7702c1/osc-lib-1.14.1.tar.gz
BuildArch:      noarch
%description
OpenStackClient Library

%package -n python3-osc-lib
Summary:        OpenStackClient Library
Provides:       python-osc-lib
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-six
BuildRequires:  python3-babel
BuildRequires:  python3-cliff
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-openstacksdk
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-simplejson
BuildRequires:  python3-stevedore
# General requires
Requires:       python3-pbr
Requires:       python3-six
Requires:       python3-babel
Requires:       python3-cliff
Requires:       python3-keystoneauth1
Requires:       python3-openstacksdk
Requires:       python3-oslo-i18n
Requires:       python3-oslo-utils
Requires:       python3-simplejson
Requires:       python3-stevedore
%description -n python3-osc-lib
OpenStackClient Library

%package help
Summary:        OpenStackClient Library
Provides:       python3-osc-lib-doc
%description help
OpenStackClient Library

%prep
%autosetup -n osc-lib-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

#%check
#%{__python3} setup.py test

%files -n python3-osc-lib -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Nov 16 2021 OpenStack_SIG <openstack@openeuler.org> - 1.14.1-1
- Init package python3-osc-lib of version 1.14.1

